# $Revision: 1.38 $, $Date: 2006/03/15 21:13:55 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	Meta-data extraction library
Summary(pl):	Biblioteka do ekstrakcji metadanych
Name:		libextractor
Version:	0.5.11
Release:	1
License:	GPL
Group:		Libraries
Source0:	http://gnunet.org/libextractor/download/%{name}-%{version}.tar.gz
# Source0-md5:	ba67e55e20bff3fca9f7a5dbfea7d7ed
Patch0:		%{name}-64bit.patch
URL:		http://gnunet.org/libextractor/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	bzip2-devel
BuildRequires:	gettext-devel >= 0.14.5
BuildRequires:	glib2-devel >= 2.0.0
BuildRequires:	gtk+2-devel >= 2:2.6.0
BuildRequires:	libltdl-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	libvorbis-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libextractor is a simple library for meta-data extraction.
libextractor uses a plugin-mechanism that makes it easy to add support
for more file formats, allowing anybody to add new extractors quickly.

libextractor currently features meta-data extractors for HTML, JPEG,
Ogg, MP3, PNG, RPM, GIF, ZIP, QT, ASF, Real Audio and Video,
PostScript and PDF documents. It also detects many more MIME-types in
a fashion similar to the well-known "file" tool.

Each item of meta-data that is extracted from a file is categorized
into one of currently about 40 meta-data categories (e.g. title,
author, description or MIME-type).

This libextractor package also contains a little binary tool "extract"
that can be used to invoke libextractor from the command line.
"extract" can be used similar to "file", but while "file" currently
supports a wider range of file types, "extract" should be able to
provide more precise and more detailed information for the supported
types of documents (HTML, JPEG, Ogg, MP3, PNG, GIF, RPM, RA, RM, PS,
PDF, ZIP, QT, ASF).

%description -l pl
libextractor to prosta biblioteka suca do ekstrakcji metadanych.
libextractor uywa mechanizmu "wtyczek", dziki czemu atwo jest doda
wsparcie dla nowych formatw plikw.

libextractor obecnie pozwala na pozyskanie metadanych z plikw w
formatach HTML, JPEG, Ogg, MP3, PNG, RPM, GIF, ZIP, QT, ASF, Real
Audio i Video, PostScript oraz PDF. Ponadto rozpoznaje duo wicej
typw MIME w sposb podobny do dobrze znanego narzdzia "file".

Kada informacja pobrana z pliku naley do jednej z okoo 40
kategorii (np. tytu, autor, opis, typ MIME).

Ta paczka zawiera te narzdzie "extract", ktre pozwala skorzysta z
usug libextractor bezporednio z linii polece. "extract" moe by
uywane w podobny sposb, co "file". "file" zna wicej typw danych,
"extract" natomiast dostarcza bardziej precyzyjnych i szczegowych
informacji na temat obsugiwanych formatw (HTML, JPEG, Ogg, MP3, PNG,
GIF, RPM, RA, RM, PS, PDF, ZIP, QT, ASF).

%package printable
Summary:	Printable text support plugins for libextractor
Summary(pl):	Wtyczki obsugujce tekst dla biblioteki libextractor
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description printable
libextractor plugins that support printable text in few languages.

%description printable -l pl
Wtyczki biblioteki libextractor obsugujce tekst w kilku jzykach.

%package thumbnail
Summary:	Thumbnail plugin for libextractor
Summary(pl):	Wtyczka obsugujce miniaturki obrazw dla biblioteki libextractor
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gtk+2 >= 2:2.6.0

%description thumbnail
libextractor plugin that supports thumbnails.

%description thumbnail -l pl
Wtyczka biblioteki libextractor obsugujca miniaturki obrazw.

%package devel
Summary:	Development files for libextractor
Summary(pl):	Pliki nagwkowe libextractor
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	bzip2-devel
Requires:	libltdl-devel

%description devel
This package contains files to develop with libextractor, that is
either to create plugins or to compile applications with libextractor.

%description devel -l pl
Piki nagwkowe wymagane do tworzenia aplikacji i wtyczek
korzystajcych z libextractor.

%package static
Summary:	Static libextractor libraries
Summary(pl):	Statyczne biblioteki libextractor
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This package contains static libraries of libextractor.

%description static -l pl
Statyczna wersja bibliotek libextractor.

%prep
%setup -q
%patch0 -p1

%build
%{__gettextize}
%{__libtoolize} --ltdl
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{?with_static_libs:--enable-static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# useless
rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/libextractor_*.a

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/extract
%attr(755,root,root) %{_libdir}/libextractor.so.*.*.*
# plugins are lt_dlopened without extension, so *.la are needed
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/libextractor_asf.so
%attr(755,root,root) %{_libdir}/%{name}/libextractor_deb.so
%attr(755,root,root) %{_libdir}/%{name}/libextractor_dvi.so
%attr(755,root,root) %{_libdir}/%{name}/libextractor_elf.so
%attr(755,root,root) %{_libdir}/%{name}/libextractor_exiv2.so
%attr(755,root,root) %{_libdir}/%{name}/libextractor_filename.so
%attr(755,root,root) %{_libdir}/%{name}/libextractor_gif.so
%attr(755,root,root) %{_libdir}/%{name}/libextractor_hash_md5.so
%attr(755,root,root) %{_libdir}/%{name}/libextractor_hash_rmd160.so
%attr(755,root,root) %{_libdir}/%{name}/libextractor_hash_sha1.so
%attr(755,root,root) %{_libdir}/%{name}/libextractor_html.so
%attr(755,root,root) %{_libdir}/%{name}/libextractor_id3v2.so
%attr(755,root,root) %{_libdir}/%{name}/libextractor_id3v23.so
%attr(755,root,root) %{_libdir}/%{name}/libextractor_id3v24.so
%attr(755,root,root) %{_libdir}/%{name}/libextractor_jpeg.so
%attr(755,root,root) %{_libdir}/%{name}/libextractor_lower.so
%attr(755,root,root) %{_libdir}/%{name}/libextractor_man.so
%attr(755,root,root) %{_libdir}/%{name}/libextractor_mime.so
%attr(755,root,root) %{_libdir}/%{name}/libextractor_mp3.so
%attr(755,root,root) %{_libdir}/%{name}/libextractor_mpeg.so
%attr(755,root,root) %{_libdir}/%{name}/libextractor_ogg.so
%attr(755,root,root) %{_libdir}/%{name}/libextractor_ole2.so
%attr(755,root,root) %{_libdir}/%{name}/libextractor_oo.so
%attr(755,root,root) %{_libdir}/%{name}/libextractor_pdf.so
%attr(755,root,root) %{_libdir}/%{name}/libextractor_png.so
%attr(755,root,root) %{_libdir}/%{name}/libextractor_ps.so
%attr(755,root,root) %{_libdir}/%{name}/libextractor_qt.so
%attr(755,root,root) %{_libdir}/%{name}/libextractor_real.so
%attr(755,root,root) %{_libdir}/%{name}/libextractor_riff.so
%attr(755,root,root) %{_libdir}/%{name}/libextractor_rpm.so
%attr(755,root,root) %{_libdir}/%{name}/libextractor_split.so
%attr(755,root,root) %{_libdir}/%{name}/libextractor_tar.so
%attr(755,root,root) %{_libdir}/%{name}/libextractor_tiff.so
%attr(755,root,root) %{_libdir}/%{name}/libextractor_translit.so
%attr(755,root,root) %{_libdir}/%{name}/libextractor_wav.so
%attr(755,root,root) %{_libdir}/%{name}/libextractor_word.so
%attr(755,root,root) %{_libdir}/%{name}/libextractor_zip.so
%{_libdir}/%{name}/libextractor_asf.la
%{_libdir}/%{name}/libextractor_deb.la
%{_libdir}/%{name}/libextractor_dvi.la
%{_libdir}/%{name}/libextractor_elf.la
%{_libdir}/%{name}/libextractor_exiv2.la
%{_libdir}/%{name}/libextractor_filename.la
%{_libdir}/%{name}/libextractor_gif.la
%{_libdir}/%{name}/libextractor_hash_md5.la
%{_libdir}/%{name}/libextractor_hash_rmd160.la
%{_libdir}/%{name}/libextractor_hash_sha1.la
%{_libdir}/%{name}/libextractor_html.la
%{_libdir}/%{name}/libextractor_id3v2.la
%{_libdir}/%{name}/libextractor_id3v23.la
%{_libdir}/%{name}/libextractor_id3v24.la
%{_libdir}/%{name}/libextractor_jpeg.la
%{_libdir}/%{name}/libextractor_lower.la
%{_libdir}/%{name}/libextractor_man.la
%{_libdir}/%{name}/libextractor_mime.la
%{_libdir}/%{name}/libextractor_mp3.la
%{_libdir}/%{name}/libextractor_mpeg.la
%{_libdir}/%{name}/libextractor_ogg.la
%{_libdir}/%{name}/libextractor_ole2.la
%{_libdir}/%{name}/libextractor_oo.la
%{_libdir}/%{name}/libextractor_pdf.la
%{_libdir}/%{name}/libextractor_png.la
%{_libdir}/%{name}/libextractor_ps.la
%{_libdir}/%{name}/libextractor_qt.la
%{_libdir}/%{name}/libextractor_real.la
%{_libdir}/%{name}/libextractor_riff.la
%{_libdir}/%{name}/libextractor_rpm.la
%{_libdir}/%{name}/libextractor_split.la
%{_libdir}/%{name}/libextractor_tar.la
%{_libdir}/%{name}/libextractor_tiff.la
%{_libdir}/%{name}/libextractor_translit.la
%{_libdir}/%{name}/libextractor_wav.la
%{_libdir}/%{name}/libextractor_word.la
%{_libdir}/%{name}/libextractor_zip.la
%{_mandir}/man1/*

%files printable
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/libextractor_printable_*.so
%{_libdir}/%{name}/libextractor_printable_*.la

%files thumbnail
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/libextractor_thumbnail.so
%{_libdir}/%{name}/libextractor_thumbnail.la

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libextractor.so
%{_libdir}/libextractor.la
%{_includedir}/extractor.h
%{_mandir}/man3/*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libextractor.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libextractor.spec,v $
Revision 1.38  2006/03/15 21:13:55  qboosh
- updated to 0.5.11
- added missing bzip2 deps, removed outdated ImageMagick BR

Revision 1.37  2006/02/24 20:20:26  qboosh
- updated to 0.5.10 (xpdf security fixes)

Revision 1.36  2006/02/19 10:48:26  pluto
- 64-bit fix, release 2.

Revision 1.35  2006/01/02 22:58:05  maciek2w
- updated to 0.5.9
- gcc4 patch not needed anymore

Revision 1.34  2005/12/10 23:07:35  qboosh
- updated to 0.5.8, added gcc4 patch

Revision 1.33  2005/11/19 13:42:14  qboosh
- updated to 0.5.7

Revision 1.32  2005/10/28 19:11:57  qboosh
- updated to 0.5.6a

Revision 1.31  2005/08/29 07:45:59  adamg
- updated to 0.5.4

Revision 1.30  2005/08/15 10:29:01  qboosh
- updated to 0.5.3 (python bindings separated - dropped make_python patch)
- glib2 always dynamic
- separated -thumbnail plugin (uses gdk-pixbuf)

Revision 1.29  2005/06/15 20:42:31  witekfl
- added bcond_without static_libs

Revision 1.28  2005/05/22 19:04:50  witekfl
- update to 0.5.0
- new subpackage python-extractor

Revision 1.27  2005/03/28 21:57:50  qboosh
- aaah, use shared glib - on amd64 static won't go
- package thumbnail plugin (BR: ImageMagick-devel >= 6)

Revision 1.26  2005/03/28 20:38:24  adamg
- updated to 0.4.2

Revision 1.25  2004/12/27 00:35:12  qboosh
- bcond to build with shared glib (needs check)

Revision 1.24  2004/12/26 23:00:27  adamg
- updated to 0.4.0 (SONAME change)

Revision 1.23  2004/11/13 22:22:24  adamg
- updated to 0.3.11
- BuildRequires: glib2-static

Revision 1.22  2004/10/31 21:26:42  kali
- updated to 0.3.10

Revision 1.21  2004/10/28 11:36:31  paladine
- "Ogg" and "Vorbis" unification

Revision 1.20  2004/09/24 10:39:54  paladine
- updated to 0.3.7

Revision 1.19  2004/09/16 18:38:12  qboosh
- package new files

Revision 1.18  2004/09/11 06:27:55  paszczus
- updated to 0.3.6

Revision 1.17  2004/09/01 22:32:51  qboosh
- updated to 0.3.5

Revision 1.16  2004/09/01 11:49:23  snurf
- typos / formatting / etc.

Revision 1.15  2004/08/26 21:24:29  qboosh
- updated to 0.3.4 (now with gettext support)

Revision 1.14  2004/08/11 23:12:05  havner
- rel 2

Revision 1.13  2004/08/11 22:57:00  qboosh
- fixed build (including amd64), BR: ac,am,lt

Revision 1.12  2004/08/09 15:36:00  havner
- config sub + ac/am (amd64 test)

Revision 1.11  2004/06/27 22:10:52  qboosh
- updated to 0.3.3

Revision 1.10  2004/06/01 18:17:53  qboosh
- package elf plugin

Revision 1.9  2004/06/01 07:33:30  adamg
- updated to 0.3.2
- removed -dict.patch (obsolete)

Revision 1.8  2004/04/20 16:46:28  qboosh
- updated to 0.3.0

Revision 1.7  2004/04/11 02:10:45  qboosh
- updated to 0.2.7, added dict patch to generate nonempty dictionaries
- separated printable_* plugins because of their size

Revision 1.6  2004/01/29 22:32:11  eothane
- update to 0.2.6

Revision 1.5  2003/07/08 20:58:53  ankry
- s/meta-dane/metadane/g

Revision 1.4  2003/07/08 20:42:27  qboosh
- cleanup, BRs; release 1

Revision 1.3  2003/07/05 19:25:52  emes
- fixed wrong glob

Revision 1.2  2003/07/01 16:26:16  misi3k
- rel down to 0.1 (imho NFY)
- cleanups

Revision 1.1  2003/07/01 15:42:21  emes
- first release, ItWorksForMe
